[arch-commits] Commit in libexif-gtk/trunk (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Mon Nov 9 05:15:10 EST 2009


    Date: Monday, November 9, 2009 @ 05:15:10
  Author: andrea
Revision: 58570

upgpkg: libexif-gtk 0.3.5-9
    fixed patch to use deprecated gtk (FS#15034)

Modified:
  libexif-gtk/trunk/PKGBUILD

----------+
 PKGBUILD |   19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-09 03:51:45 UTC (rev 58569)
+++ PKGBUILD	2009-11-09 10:15:10 UTC (rev 58570)
@@ -1,25 +1,28 @@
-# Maintainer: Eduardo Romero <eduardo at archlinux.org>
+# $Id$
+# Contributor: Eduardo Romero <eduardo at archlinux.org>
 # Contributor: Sebastien Piccand <sebcactus gmail com>
 
 pkgname=libexif-gtk
 pkgver=0.3.5
-pkgrel=8
+pkgrel=9
 pkgdesc="GTK frontend to the libexif library"
 arch=('i686' 'x86_64')
 url="http://libexif.sourceforge.net"
 license=('GPL')
 depends=('libexif' 'gtk2')
 options=('!libtool')
-source=(http://downloads.sourceforge.net/libexif/$pkgname-$pkgver.tar.bz2 gtk2-fix.patch)
-md5sums=('0ecdba41f3e0f20a11b8555bd2dd2a07' '5ecf915e5b9cfd0a75757d3a046b63fa')
+source=(http://downloads.sourceforge.net/libexif/$pkgname-$pkgver.tar.bz2
+	'gtk2-2.12.patch')
+md5sums=('0ecdba41f3e0f20a11b8555bd2dd2a07'
+         'f8d53413c6291a0dca5da99016b1bf47')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   # Patch for gtk2-2.12
-  patch -p1 < ../gtk2-fix.patch || return 1
+  patch -p1 -i ${srcdir}/gtk2-2.12.patch || return 1
   # Patch for libexif
   sed -i 's|exif-mem.h|libexif/exif-mem.h|g' configure
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list